# coding: utf-8
'''
Created on 03.04.2015

@author: tr0glo)|(I╠╣
'''

import simplejson as json

from ru.curs.celesta.showcase.utils import XMLJSONConverter
try:
    from ru.curs.showcase.core.jython import JythonDTO
except:
    from ru.curs.celesta.showcase import JythonDTO
    
import htmlentitydefs
import re



def webtextData(context, main=None, add=None, filterinfo=None, session=None, elementId=None):
    u''' Просмотр гипертекстовой страницы '''


#     eor = eorCursor(context)

    webtextdata = u'''<div></div>'''


#     eor.get(elementId)



   



    webtextdata = u'''<div> <center>
                            <h2>
                                Заглушка
                            </h2>
                            </center>
                    </div>'''




    return JythonDTO(prepareWebText(webtextdata), None)

def prepareWebText(webtext):
    u'''Заменяет спецсимволы на их стандартные значения. '''

    d = htmlentitydefs.name2codepoint
    mod = {}
    for key in d:
        mod['&%s;' % key] = '&#%d;' % d[key]

    pattern = re.compile(r'(' + '|'.join(mod.keys()) + r')')
    result = pattern.sub(lambda x: mod[x.group()], webtext)
    # BOM symbol deleting
    result = result.replace(u'\uFEFF', '')

    return result

    
